Skip to navigation

Get a load balancer operation

Returns one create, update or delete operation. Requires scope: load-balancer.read.

# Example request with curl (set IBEE_API_TOKEN to a platform API token and WORKSPACE_ID to the workspace first).
# OPERATION_ID: The operation's ID
curl "https://api.ibee.ai/v1/networking/load-balancers/operations/$OPERATION_ID?workspace_id=$WORKSPACE_ID" \
-H "Authorization: Bearer $IBEE_API_TOKEN"

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

operation_idstringRequiredformat: "uuid"
The operation's ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Response

Success.
idstringformat: "uuid"
lb_idstringformat: "uuid"
kindstring
statusstring
requested_generationinteger
attemptsinteger
reasonstring or null
created_atdatetime
completed_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
413
Content Too Large Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error